中危 transmission 缓冲区溢出拒绝服务代码执行漏洞

CVE编号

CVE-2010-1853

利用情况

暂无

补丁情况

官方补丁

披露时间

2010-05-08
漏洞描述
在传输1.91中的libtransmission/magnet.c中基于堆栈的tr_magnet Parse函数中的多个缓冲区溢出允许远程攻击者导致拒绝服务(崩溃),或者可能通过具有大量(1)tr或(2)ws链接的精心制作的磁铁URL执行任意代码。
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 transmissionbt transmission 1.91 -
运行在以下环境
系统 debian_10 transmission * Up to
(excluding)
1.92-1
运行在以下环境
系统 debian_11 transmission * Up to
(excluding)
1.92-1
运行在以下环境
系统 debian_12 transmission * Up to
(excluding)
1.92-1
阿里云评分
5.8
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    普通权限
  • 影响范围
    越权影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-119 内存缓冲区边界内操作的限制不恰当
阿里云安全产品覆盖情况